org.opencv.features2d

## Class GFTTDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.GFTTDetector

-     public class GFTTDetector
      extends Feature2D

  Wrapping class for feature detection using the goodFeaturesToTrack function. :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GFTTDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GFTTDetector` | `__fromPtr__(long addr)`
    `static GFTTDetector` | `create()`
    `static GFTTDetector` | `create(int maxCorners)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize, boolean useHarrisDetector)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize, boolean useHarrisDetector, double k)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize, int gradiantSize)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize, int gradiantSize, boolean useHarrisDetector)`
    `static GFTTDetector` | `create(int maxCorners, double qualityLevel, double minDistance, int blockSize, int gradiantSize, boolean useHarrisDetector, double k)`
    `protected void` | `finalize()`
    `int` | `getBlockSize()`
    `String` | `getDefaultName()` Returns the algorithm string identifier.
    `boolean` | `getHarrisDetector()`
    `double` | `getK()`
    `int` | `getMaxFeatures()`
    `double` | `getMinDistance()`
    `double` | `getQualityLevel()`
    `void` | `setBlockSize(int blockSize)`
    `void` | `setHarrisDetector(boolean val)`
    `void` | `setK(double k)`
    `void` | `setMaxFeatures(int maxFeatures)`
    `void` | `setMinDistance(double minDistance)`
    `void` | `setQualityLevel(double qlevel)`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GFTTDetector

          protected GFTTDetector(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GFTTDetector __fromPtr__(long addr)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize,
                                            int gradiantSize,
                                            boolean useHarrisDetector,
                                            double k)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize,
                                            int gradiantSize,
                                            boolean useHarrisDetector)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize,
                                            int gradiantSize)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize,
                                            boolean useHarrisDetector,
                                            double k)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize,
                                            boolean useHarrisDetector)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance,
                                            int blockSize)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel,
                                            double minDistance)

    - #### create

          public static GFTTDetector create(int maxCorners,
                                            double qualityLevel)

    - #### create

          public static GFTTDetector create(int maxCorners)

    - #### create

          public static GFTTDetector create()

    - #### getDefaultName

          public String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### getHarrisDetector

          public boolean getHarrisDetector()

    - #### getK

          public double getK()

    - #### getMinDistance

          public double getMinDistance()

    - #### getQualityLevel

          public double getQualityLevel()

    - #### getBlockSize

          public int getBlockSize()

    - #### getMaxFeatures

          public int getMaxFeatures()

    - #### setBlockSize

          public void setBlockSize(int blockSize)

    - #### setHarrisDetector

          public void setHarrisDetector(boolean val)

    - #### setK

          public void setK(double k)

    - #### setMaxFeatures

          public void setMaxFeatures(int maxFeatures)

    - #### setMinDistance

          public void setMinDistance(double minDistance)

    - #### setQualityLevel

          public void setQualityLevel(double qlevel)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7